hpiel(1)

NAME
hpiel - An openhpi sample application that displays HPI event log entries.

SYNOPSIS
 hpiel [-D nn] [-N host[:port]] [-C <cfgfile>] [-d] [-E entity-path] [-c -p -r -X -h ]
 hpiel [--domain=nn]  [--host=host[:port]] [--cfgfile=file]
       [--del] [--entity-path="entitypath"] [--clear --resource --rdr --debug --help]

DESCRIPTION
hpiel searches the RPT (Resource Present Table) for resources with SAHPI_CAPABILITY_EVENT_LOG and displays event log entries for resources found.

If no domain is selected, hpiel uses a session with the default domain. The selected domain id must be configured via the openhpidclient.conf file specified in the environment.

OPTIONS

  Help Options:

-h, --help
    Show help options

  Application Options:

-d, --del
    Display domain event log entries

-c, --clear
    Clear log before reading event log entries

-p, --resource
    Pull resource info along with log entry

-r, --rdr
    Pull RDR info along with log entry

-E "epath", --entity-path="epath"
    Use entity path epath and display resource

-D nn, --domain=nn
    Select domain id nn

-X, --debug
    Display debug messages

-N "host[:port]", --host="host[:port]"
    Open session to the domain served by the daemon at the specified URL (host:port). This option overrides the OPENHPI_DAEMON_HOST and OPENHPI_DAEMON_PORT environment variables. If host contains ':' (for example IPv6 address) then enclose it in square brackets. For example: "[::1]" or "[::1]:4743".

-C "file", --cfgfile="file"
    Use passed file as client configuration file. This option overrides the OPENHPICLIENT_CONF environment variable.

If neither -d or -E "epath" are specified, event log entries will be shown for all supporting resources by default.

HPI APIs uniquely used in this application
    SaErrorT SAHPI_API saHpiEventLogInfoGet (
        SAHPI_IN SaHpiSessionIdT SessionId,
        SAHPI_IN SaHpiResourceIdT ResourceId,
        SAHPI_OUT SaHpiEventLogInfoT *Info );

    SaErrorT SAHPI_API saHpiEventLogEntryGet (
        SAHPI_IN SaHpiSessionIdT SessionId,
        SAHPI_IN SaHpiResourceIdT ResourceId,
        SAHPI_IN SaHpiEventLogEntryIdT EntryId,
        SAHPI_OUT SaHpiEventLogEntryIdT *PrevEntryId,
        SAHPI_OUT SaHpiEventLogEntryIdT *NextEntryId,
        SAHPI_OUT SaHpiEventLogEntryT *EventLogEntry,
        SAHPI_INOUT SaHpiRdrT *Rdr,
        SAHPI_INOUT SaHpiRptEntryT *RptEntry );

    SaErrorT SAHPI_API saHpiEventLogClear (
        SAHPI_IN SaHpiSessionIdT SessionId,
        SAHPI_IN SaHpiResourceIdT ResourceId );

SEE ALSO
         hpi_shell
         hpialarms      hpigensimdata  hpireset       hpitop
         hpidomain      hpiinv         hpisensor      hpitree
         hpievents      hpionIBMblade  hpisettime     hpiwdt
         hpifan         hpipower       hpithres       hpixml
         ohdomainlist   ohhandler      ohparam

AUTHORS
Authors of this man page:

 Peter D Phan (pdphan@users.sourceforge.net)
 Ulrich Kleber (ulikleber@users.sourceforge.net)
 Anton Pak (avpak@users.sourceforge.net)